## t
Tag navigationMenuItem

Tag Information
Tag Class | org.apache.myfaces.custom.navmenu.HtmlNavigationMenuItemTag
TagExtraInfo Class | None
Body Content | JSP
Display Name | None

Attributes
Name | Required | Request-time | Type | Description
action | false | false | `java.lang.String` | No Description
binding | false | false | `java.lang.String` | Component binding.
enabledOnUserRole | false | false | `java.lang.String` | If user is in given role, this component will be rendered normally. If not, no hyperlink is rendered but all nested tags (=body) are rendered.
icon | false | false | `java.lang.String` | No Description
id | false | false | `java.lang.String` | No Description
itemDescription | false | false | `java.lang.String` | No Description
itemDisabled | false | false | `java.lang.String` | If true, this component will not be saved during state saving.
itemLabel | false | false | `java.lang.String` | No Description
itemValue | false | false | `java.lang.String` | No Description
rendered | false | false | `java.lang.String` | No Description
split | false | false | `java.lang.String` | No Description
value | false | false | `java.lang.String` | Value reference pointing at a javax.faces.model.SelectItem instance.
visibleOnUserRole | false | false | `java.lang.String` | If user is in given role, this component will be rendered normally. If not, nothing is rendered and the body of this tag will be skipped.

Variables
No Variables Defined.

Output Generated by Tag Library Documentation Generator. Java, JSP, and JavaServer Pages are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries. Copyright 2002-4 Sun Microsystems, Inc. 4150 Network Circle Santa Clara, CA 95054, U.S.A. All Rights Reserved.